सवाल जीएनयू पास्कल कंपाइलर कहां है?


उबंटू 10.04 पर मैंने जीएनयू पास्कल कंपाइलर (पैकेज जीपीसी) स्थापित किया था।

उबंटू 12.04 / 64 बिट पर जाने के बाद मुझे पैकेज अब और नहीं मिल रहा है। Google और जीएनयू पास्कल होमपेज ज्यादा मदद नहीं की।

तो मैं पूछना चाहता था कि क्या पैकेज बंद कर दिया गया है, नाम बदल दिया गया है, या एक अलग भंडार में ले जाया गया है।


6
2018-01-05 20:16


मूल




जवाब:


ऐसा लगता है कि जीपीसी था डेबियन से हटा दिया गया (और बाद में उबंटू) फरवरी 2011 में परियोजना को अनियमित / बंद कर दिया गया था।


3
2018-01-05 20:38



+1 यह बहुत समझाता है। मुझे लगता है कि मुझे फ्री पास्कल कंपाइलर (पैकेज fp-compiler)। - Giorgio
@ जॉर्जियो या आप डाउनलोड और निर्माण करने का प्रयास कर सकते हैं gpc स्रोत से (या पुराने .deb पैकेज को स्थापित करने का प्रयास करें ...) - Eliah Kagan
@ एलिया कागन: सच है, मैं इसे आज़मा दूंगा। - Giorgio


उबंटू के लिए जीएनयू पास्कल कंपाइलर के पीपीए संस्करणों को डाउनलोड किया जा सकता है https://launchpad.net/~ueter/+archive/ubuntu/gpc-3.4


2
2018-05-23 19:14





जीपीसी मेलिंग सूची पर इस पोस्ट के अनुसार, आप आरपीएम प्राप्त करने और इसे विदेशी रूप से परिवर्तित करने का प्रयास कर सकते हैं: http://www.g-n-u.de/pipermail/gpc/2013-June/015249.html

बोली:

आप इनमें से किसी एक का उपयोग करने में सक्षम हो सकते हैं। https://software.opensuse.org/package/gpc

मैंने फेडोरा पैकेज को 'एलियन' के साथ बदल दिया और यह मेरे लिए काम कर रहा है डेबियन (64 बिट)।


0
2017-08-20 19:09



उबंटू से पूछने के लिए आपका स्वागत है! जबकि यह सैद्धांतिक रूप से सवाल का जवाब दे सकता है, यह बेहतर होगा यहां उत्तर के आवश्यक हिस्सों को शामिल करने के लिए, और संदर्भ के लिए लिंक प्रदान करें। - Braiam


वास्तव में जीपीसी नहीं है, लेकिन यदि आपको कोई विकल्प नहीं लगता है, तो आप फ्री पास्कल का उपयोग कर सकते हैं। यह आईडीई और कंपाइलर स्थापित करेगा:

sudo apt-get install fp-ide

ध्यान दें कि आईडीई टर्मिनल आधारित है। प्रॉम्प्ट से इसे शुरू करने के लिए:

fp

संदर्भ के लिए, देखें http://fusharblog.com/installing-free-pascal-in-ubuntu/


0
2017-07-14 16:22